
package org.springframework.prospring.ticket.service;

import org.springframework.core.*;

/**
 * Kasa bazowa dla wszystkich wyjątków zgłaszanych w aplikacji.
 */
public abstract class ApplicationException extends Exception implements ErrorCoded {

	/**
	 * Konstruktor klasy ApplicationException.
	 * @param message Komunikat wyjątku.
	 */
	public ApplicationException(String message) {
		super(message);
	}

	/**
	 * Konstruktor klasy ApplicationException.
	 * @param message Komunikat wyjątku.
	 * @param cause Przyczyna wyjątku.
	 */
	public ApplicationException(String message, Throwable cause) {
		super(message, cause);
	}


}
